PipeWire 0.2.6

Data Fields
pw_map_item Union Reference

An entry in the map. More...

## Data Fields
uint32_t | next
| next free index More...
void * | data
| data of this item, must be an even address More...

## Detailed Description

An entry in the map.

## Field Documentation

## ◆ data

void* pw_map_item::data

data of this item, must be an even address

Referenced by pw_map::pw_map_for_each(), pw_map::pw_map_insert_at(), pw_map::pw_map_insert_new(), and pw_map::pw_map_lookup().

## ◆ next

uint32_t pw_map_item::next

next free index

Referenced by pw_map::pw_map_insert_new().

The documentation for this union was generated from the following file:

- map.h